Subject: Re: New Install May Have a Bug
From: "Stephano Mariani" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Mark Jones" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 27 Nov 2001 18:45:28 -0000

I and my colleagues share the opinion that the setup should include an
option to install ALL the packages with or without source automatically...

It is a huge pain to manually go through all the packages selecting them
repeatedly since the most recent version isn't always the first to appear.

Perhaps a suggestion made earlier on this list by someone whose name i have
forgotten could be implemented: The setup could be controlled on the
commandline too perhaps with a filename as an argument. The file could
contain all the options required.

Stephano.

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Mark Jones" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, November 27, 2001 6:34 PM
Subject: Re: New Install May Have a Bug

> Remember all of those complaints on the mailing list about "cygwin is
> too big"?  Remember the acrimony that resulted when we (the list)
> declared that we only support installations that included EVERY cygwin
> package?
>
> The reason was because we had no ability to manage dependencies from
> setup.exe.
>
> The new setup DOES handle dependencies, so if you select 'vim' you'll
> automatically get 'ncurses', etc.  Therefore, we can now allow/support
> partial installations.
>
> Concommitant with that, the default installation is now a bare minimum
> of packages -- if you want more, you have to explicitly select the
> additional packages.
>
> --Chuck
>
>
> Mark Jones wrote:
>
> > I tried to install Cygwin at a friend's last night and after it finished
he
> > did not have the program "less" installed, and his whole cygwin
directory
> > structure was only about 32 MB in size after the install.  I do not have
a
> > clean install as a reference point as I've already installed XFree86 on
my
> > own computer, but my /bin directory is over 50 MB, so if his whole
directory
> > structure is only 32 MB I suspect he is missing more than just "less".
> >
> > I have helped others install it on their computers in the past (2-3
months
> > ago) and have never had a problem, so I think something may have been
broken
> > recently in the install program.  I noticed the package listing
interface is
> > different now that a few months back, so I assume that part has changed,
> > perhaps with an additional feature of a new bug.
> >
> > Mark
> >
> >
> >
> >
> >
> >
____________________________________________________________________________
__
> > Send a friend your Buddy Card and stay in contact always with Excite
Messenger
> > http://messenger.excite.com
> >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/